Subject: Re: [PATCH] attr: support quoting pathname patterns in C style

From: Johannes Sixt <[email-masked]>
Date: Tue, 09 Nov 2010 08:48:16 +0100

Am 11/8/2010 22:56, schrieb Kevin Ballard:
> Basically what I'm trying to say is, we already break one particular
> "rather rare" setup. I would love to come up with a solution that supports
> both setups, but I don't know if one exists outside of using a config
> variable to control whether git attribute patterns support quoting (a solution
> I am not particularly fond of for this case).

Can we perhaps have a pseudo-attribute 'quoted-names' that is to be used
like this:

* quoted-names
"file 1" binary
file.1 -diff

Its meaning would be that the remainder of the current .gitattributes file
is to be parsed with C style path quoting enabled. The glob given with
this attribute is irrelevant and ignored.

I didn't check whether old gits would ignore this unknown attribute.

-- Hannes